%define sourcename %{name}-release

Summary:        An install helper program for OpenCollaborationServices
Name:           ocs-url
Version:        3.0.3
Release:        %mkrel 7
# qtil is under lgplv3 license
License:        GPLv3+ and LGPLv3+
Group:          System/Base
URL:            https://github.com/opendesktop/%{name}
Source0:        %{url}/archive/release-%{version}.tar.gz
# https://github.com/akiraohgaki/qtil
# got from scripts/import.sh script and xz archived.
# this is a build dep not included in source
Source1:        qtil.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
%rename xdgurl

Requires:       qtdeclarative5
Requires:       qtquickcontrols5

%description
%{name} is an install helper program for items served
on OpenCollaborationServices (OCS). It is an URL handler
for xdg:// and ocs:// scheme. It enables you to download
or install desktop stuff from opendesktop.org or other sites.

%prep
%autosetup -n %{sourcename}-%{version}
tar -xvf %{SOURCE1} -C lib/

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%qmakeinstall_std

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.3-7.mga10
+ Revision: 2214272
- Mageia 10 Mass Rebuild

* Mon Apr 04 2022 umeabot <umeabot> 3.0.3-6.mga9
+ Revision: 1843289
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 3.0.3-5.mga8
+ Revision: 1659145
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.0.3-4.mga8
+ Revision: 1524839
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 3.0.3-3.mga7
+ Revision: 1383588
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0.3-2.mga7
+ Revision: 1299957
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tarakbumba <tarakbumba> 3.0.3-1.mga7
+ Revision: 1207467
- Updated to 3.0.3 version

* Sun Jan 07 2018 tarakbumba <tarakbumba> 3.0.2-1.mga7
+ Revision: 1191060
- Update to 3.0.2 version

* Sat Mar 11 2017 tarakbumba <tarakbumba> 3.0.0-1.mga6
+ Revision: 1092080
- Updated to 3.0.0 version
- Package renamed by upstream
- Update to 2.0.3 version

* Sat Jan 07 2017 tarakbumba <tarakbumba> 2.0.2-1.mga6
+ Revision: 1080535
- imported package xdgurl

